<?php

class MyPlugIN_Config
{
	const API_URL ="http://51.159.38.27"; //new
    const VOD_MOVIE_PAGE_SUPPORTED = true;
    const VOD_FAVORITES_SUPPORTED  = true;
    const TV_FAVORITES_SUPPORTED   = true;
	
    const TV_CHANNEL_ICON_PATH   = 'plugin_file://icons/channels/';
    const TV_CHANNEL_GROUP_ICON_PATH   = 'plugin_file://icons/tv_groups/';
	
    const VOD_GROUP_ICON_PATH   = 'plugin_file://icons/vod_groups/';
    const MAIN_GROUP_ICON_PATH   = 'plugin_file://icons/';
    const ALL_CHANNEL_GROUP_CAPTION     = 'Все каналы';
    const ALL_CHANNEL_GROUP_ICON_PATH   = 'plugin_file://icons/tv_groups/all_tv.png';

    const FAV_CHANNEL_GROUP_CAPTION     = 'Избранное';
    const FAV_CHANNEL_GROUP_ICON_PATH   = 'plugin_file://icons/tv_groups/all_tv.png';

    const FAV_MOVIES_CATEGORY_CAPTION   = 'Избранное';
    const FAV_MOVIES_CATEGORY_ICON_PATH = 'plugin_file://icons/vod_groups/fav.png';

    const ARCHIVE_URL = '/icons';

    
    ///////////////////////////////////////////////////////////////////////
    // Folder views.

    public static function GET_MAIN_GROUP_LIST_FOLDER_VIEWS()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 3,
                    ViewParams::num_rows => 1,
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => false,
					ViewParams::background_path=> 'plugin_file://icons/bg.jpg',
					ViewParams::paint_path_box => false,
                    ViewParams::sandwich_width => 300,
                    ViewParams::sandwich_height => 300,
                    ViewParams::sandwich_icon_upscale_enabled => true,
                    ViewParams::sandwich_icon_keep_aspect_ratio => true,
                    ViewParams::paint_icon_selection_box => false,
                    ViewParams::paint_content_box_background => true,
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => VALIGN_CENTER,
                    ViewItemParams::icon_valign => HALIGN_CENTER,
                    ViewItemParams::item_paint_caption => false,
                    ViewItemParams::icon_scale_factor => 1.0,
                    ViewItemParams::icon_sel_scale_factor => 1.0,
                    ViewItemParams::icon_width => 300,
                    ViewItemParams::icon_height => 300,
					ViewItemParams::item_paint_caption => false,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),

        );
    }

	public static function GET_TV_GROUP_LIST_FOLDER_VIEWS()
	{
		return array(
		array
		(
		PluginRegularFolderView::async_icon_loading => true,		
		PluginRegularFolderView::view_params => array
		(
		ViewParams::num_cols => 5,
		ViewParams::num_rows => 4,
		ViewParams::background_path=> 'plugin_file://icons/bg1.jpg',
		ViewParams::background_order => 0,
		ViewParams::icon_selection_box_width => 294,
		ViewParams::icon_selection_box_height => 162,
		ViewParams::icon_selection_box_dy => -78,
		ViewParams::icon_selection_box_dx => -125,
		),		
		PluginRegularFolderView::base_view_item_params => array
		(
		ViewItemParams::item_paint_icon => true,
		ViewItemParams::item_layout => HALIGN_CENTER,
		ViewItemParams::icon_valign => VALIGN_CENTER,
		ViewItemParams::item_paint_caption => false,
		ViewItemParams::icon_scale_factor => 1.0,
		ViewItemParams::icon_sel_scale_factor => 1.2,
		ViewItemParams::icon_dx => 20,
		ViewItemParams::icon_sel_dx => 20,
		),
		
		PluginRegularFolderView::not_loaded_view_item_params => array
		(
		ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
		ViewItemParams::item_paint_caption_within_icon => true,
		ViewItemParams::item_caption_within_icon_color => 'black',
		),
		),
		array
		(
		PluginRegularFolderView::async_icon_loading => true,
		
		PluginRegularFolderView::view_params => array
		(
		ViewParams::num_cols => 4,
		ViewParams::num_rows => 4,
		ViewParams::background_path=> 'plugin_file://icons/bg1.jpg',
		ViewParams::background_order => 0,
		ViewParams::icon_selection_box_width => 300,
		ViewParams::icon_selection_box_height => 171,
		ViewParams::icon_selection_box_dy => -78,
		),
		
		PluginRegularFolderView::base_view_item_params => array
		(
		ViewItemParams::item_padding_top => 0,
		ViewItemParams::item_padding_bottom => 0,
		ViewItemParams::icon_valign => VALIGN_CENTER,
		ViewItemParams::item_paint_caption => false,
		ViewItemParams::icon_scale_factor => 1.0,
		ViewItemParams::icon_sel_scale_factor => 1.25,
		),
		
		PluginRegularFolderView::not_loaded_view_item_params => array
		(
		ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
		ViewItemParams::item_paint_caption_within_icon => true,
		ViewItemParams::item_caption_within_icon_color => 'black',
		),
		),
		array
		(
		PluginRegularFolderView::async_icon_loading => true,
		
		PluginRegularFolderView::view_params => array
		(
		ViewParams::num_cols => 3,
		ViewParams::num_rows => 2,
		ViewParams::background_path=> 'plugin_file://icons/bg1.jpg',
		ViewParams::background_order => 0,
		ViewParams::sandwich_width => 400,
		ViewParams::sandwich_height => 229,
		ViewParams::icon_selection_box_width => 410,
		ViewParams::icon_selection_box_height => 239,
		#ViewParams::icon_selection_box_dy => -78,
		),
		
		PluginRegularFolderView::base_view_item_params => array
		(
		ViewItemParams::item_padding_top => 0,
		ViewItemParams::item_padding_bottom => 0,
		ViewItemParams::icon_valign => VALIGN_CENTER,
		ViewItemParams::item_paint_caption => false,
		ViewItemParams::icon_scale_factor => 1.0,
		ViewItemParams::icon_sel_scale_factor => 1.05,
		),
		
		PluginRegularFolderView::not_loaded_view_item_params => array
		(
		ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
		ViewItemParams::item_paint_caption_within_icon => true,
		ViewItemParams::item_caption_within_icon_color => 'black',
		),
		),
		array
		(
		PluginRegularFolderView::async_icon_loading => false,		
		PluginRegularFolderView::view_params => array
		(
		ViewParams::num_cols => 4,
		ViewParams::num_rows => 3,
		ViewParams::background_path=> 'plugin_file://icons/bg1.jpg',
		ViewParams::background_order => 0,
		ViewParams::paint_details => false,
		ViewParams::paint_sandwich => true,
		ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
		ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
		ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
		ViewParams::sandwich_width => 245,
		ViewParams::sandwich_height => 140,
		ViewParams::sandwich_icon_upscale_enabled => true,
		ViewParams::sandwich_icon_keep_aspect_ratio => true,
		),
		
		PluginRegularFolderView::base_view_item_params => array
		(
		ViewItemParams::item_paint_icon => true,
		ViewItemParams::item_layout => HALIGN_CENTER,
		ViewItemParams::icon_valign => VALIGN_CENTER,
		ViewItemParams::item_paint_caption => false,
		ViewItemParams::icon_scale_factor => 1.25,
		ViewItemParams::icon_sel_scale_factor => 1.5,
		),		
		PluginRegularFolderView::not_loaded_view_item_params => array (),
		),		
		);
	}


 	public static function GET_TV_CHANNEL_LIST_FOLDER_VIEWS()
	{
		$local_icons = isset($plugin_cookies->use_local_icons) ? $plugin_cookies->use_local_icons : 'no';
		hd_print("local_icons------->$local_icons");
		return 
		array
		(
			array
			(
				PluginRegularFolderView::async_icon_loading => true,		
				PluginRegularFolderView::view_params => array
				(
					ViewParams::num_cols => 1,
					ViewParams::num_rows => 10,
					ViewParams::paint_details => true,
					ViewParams::zoom_detailed_icon => true,
					//ViewParams::paint_sandwich => true,
					ViewParams::sandwich_base => 'plugin_file://icons/badge.png',
				),		
				PluginRegularFolderView::base_view_item_params => array
				(
					ViewItemParams::item_paint_icon => true,
					ViewItemParams::item_layout => HALIGN_LEFT,
					ViewItemParams::icon_valign => VALIGN_CENTER,
					ViewItemParams::icon_dx => 10,
					ViewItemParams::icon_dy => -5,
					ViewItemParams::icon_width => 84,
					ViewItemParams::icon_height => 48,
					ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
					ViewItemParams::item_caption_width => 1064,
					ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
				),		
				PluginRegularFolderView::not_loaded_view_item_params => array
				(
					ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
					ViewItemParams::item_paint_caption_within_icon => true,
					ViewItemParams::item_caption_within_icon_color => 'black',
				),
			),
			array
			(
				PluginRegularFolderView::async_icon_loading => true,		
				PluginRegularFolderView::view_params => array
				(
					ViewParams::num_cols => 1,
					ViewParams::num_rows => 10,
					ViewParams::paint_details => true,
					ViewParams::zoom_detailed_icon => true,
				),		
				PluginRegularFolderView::base_view_item_params => array
				(
					ViewItemParams::item_paint_icon => true,
					ViewItemParams::item_layout => HALIGN_LEFT,
					ViewItemParams::icon_valign => VALIGN_CENTER,
					ViewItemParams::icon_dx => 10,
					ViewItemParams::icon_dy => -5,
					ViewItemParams::icon_width => 84,
					ViewItemParams::icon_height => 48,
					ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
					ViewItemParams::item_caption_width => 1064,
					ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
				),		
				PluginRegularFolderView::not_loaded_view_item_params => array
				(
					ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
					ViewItemParams::item_paint_caption_within_icon => true,
					ViewItemParams::item_caption_within_icon_color => 'black',
				),
			),
			array
			(
				PluginRegularFolderView::async_icon_loading => true,		
				PluginRegularFolderView::view_params => array
				(
					ViewParams::num_cols => 2,
					ViewParams::num_rows => 10,
					//ViewParams::paint_sandwich => true,
					ViewParams::sandwich_base => 'plugin_file://icons/badge.png',
					ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
					ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
					ViewParams::paint_details => true,
				),		
				PluginRegularFolderView::base_view_item_params => array
				(
					ViewItemParams::item_paint_icon => true,
					ViewItemParams::item_layout => HALIGN_LEFT,
					ViewItemParams::icon_valign => VALIGN_CENTER,
					ViewItemParams::icon_dx => 20,
					ViewItemParams::icon_dy => -5,
					ViewItemParams::icon_width => 70,
					ViewItemParams::icon_height => 40,
					ViewItemParams::item_caption_width => 485,
					ViewItemParams::item_caption_font_size => FONT_SIZE_SMALL,
					ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
				),		
				PluginRegularFolderView::not_loaded_view_item_params => array
				(
					ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
					ViewItemParams::item_paint_caption_within_icon => true,
					ViewItemParams::item_caption_within_icon_color => 'black',
				),
			),		
			array
			(
				PluginRegularFolderView::async_icon_loading => true,		
				PluginRegularFolderView::view_params => array
				(
					ViewParams::num_cols => 5,
					ViewParams::num_rows => 4,
					ViewParams::paint_details => false,
					ViewParams::paint_sandwich => true,
					ViewParams::sandwich_base => 'plugin_file://icons/badge.png',
					#ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
					ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
					ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
					ViewParams::sandwich_width => 245,
					ViewParams::sandwich_height => 140,
					ViewParams::sandwich_icon_upscale_enabled => true,
					ViewParams::sandwich_icon_keep_aspect_ratio => true,
				),		
				PluginRegularFolderView::base_view_item_params => array
				(
					ViewItemParams::item_paint_icon => true,
					ViewItemParams::item_layout => HALIGN_CENTER,
					ViewItemParams::icon_valign => VALIGN_CENTER,
					ViewItemParams::item_paint_caption => false,
					ViewItemParams::icon_scale_factor => 1.0,
					ViewItemParams::icon_sel_scale_factor => 1.2,
					ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png'
				),		
				PluginRegularFolderView::not_loaded_view_item_params => array
				(
					ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
					ViewItemParams::item_paint_caption_within_icon => true,
					ViewItemParams::item_caption_within_icon_color => 'black',
				),
			),		
			array
			(
				PluginRegularFolderView::async_icon_loading => true,		
				PluginRegularFolderView::view_params => array
				(
					ViewParams::num_cols => 4,
					ViewParams::num_rows => 3,
					ViewParams::paint_details => false,
					ViewParams::paint_sandwich => true,
					ViewParams::sandwich_base => 'plugin_file://icons/badge.png',
					ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
					ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
					ViewParams::sandwich_width => 245,
					ViewParams::sandwich_height => 140,
					ViewParams::sandwich_icon_upscale_enabled => true,
					ViewParams::sandwich_icon_keep_aspect_ratio => true,
				),
				
				PluginRegularFolderView::base_view_item_params => array
				(
					ViewItemParams::item_paint_icon => true,
					ViewItemParams::item_layout => HALIGN_CENTER,
					ViewItemParams::icon_valign => VALIGN_CENTER,
					ViewItemParams::item_paint_caption => true,
					ViewItemParams::icon_scale_factor => 1.25,
					ViewItemParams::icon_sel_scale_factor => 1.5,
					ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
				),		
				PluginRegularFolderView::not_loaded_view_item_params => array
				(
					ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
					ViewItemParams::item_paint_caption_within_icon => true,
					ViewItemParams::item_caption_within_icon_color => 'black',
				),
			),		
			array
			(
				PluginRegularFolderView::async_icon_loading => true,		
				PluginRegularFolderView::view_params => array
				(
					ViewParams::num_cols => 4,
					ViewParams::num_rows => 4,
					ViewParams::paint_details => false,
					ViewParams::paint_sandwich => true,
					ViewParams::sandwich_base => 'plugin_file://icons/badge.png',
					ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
					ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
					ViewParams::sandwich_width => 245,
					ViewParams::sandwich_height => 140,
					ViewParams::sandwich_icon_upscale_enabled => true,
					ViewParams::sandwich_icon_keep_aspect_ratio => true,
				),		
				PluginRegularFolderView::base_view_item_params => array
				(
					ViewItemParams::item_paint_icon => true,
					ViewItemParams::item_layout => HALIGN_CENTER,
					ViewItemParams::icon_valign => VALIGN_CENTER,
					ViewItemParams::item_paint_caption => false,
					ViewItemParams::icon_scale_factor => 1.0,
					ViewItemParams::icon_sel_scale_factor => 1.2,
					ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
				),		
				PluginRegularFolderView::not_loaded_view_item_params => array
				(
					ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
					ViewItemParams::item_paint_caption_within_icon => true,
					ViewItemParams::item_caption_within_icon_color => 'black',
				),
			),
			array
			(
				PluginRegularFolderView::async_icon_loading => true,		
				PluginRegularFolderView::view_params => array
				(
					ViewParams::num_cols => 3,
					ViewParams::num_rows => 3,
					ViewParams::paint_details => false,
					ViewParams::paint_sandwich => true,
					ViewParams::sandwich_base => 'plugin_file://icons/badge.png',
					ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
					ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
					ViewParams::sandwich_width => 245,
					ViewParams::sandwich_height => 140,
					ViewParams::sandwich_icon_upscale_enabled => true,
					ViewParams::sandwich_icon_keep_aspect_ratio => true,
				),		
				PluginRegularFolderView::base_view_item_params => array
				(
					ViewItemParams::item_paint_icon => true,
					ViewItemParams::item_layout => HALIGN_CENTER,
					ViewItemParams::icon_valign => VALIGN_CENTER,
					ViewItemParams::item_paint_caption => false,
					ViewItemParams::icon_scale_factor => 1.25,
					ViewItemParams::icon_sel_scale_factor => 1.5,
					ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
				),		
				PluginRegularFolderView::not_loaded_view_item_params => array
				(
					ViewItemParams::icon_path => 'plugin_file://icons/channel_unset.png',
					ViewItemParams::item_paint_caption_within_icon => true,
					ViewItemParams::item_caption_within_icon_color => 'black',
				),
			)
		);	
	}

    public static function GET_VOD_CAT_LIST_FOLDER_VIEWS()
    {
        return array(
            array
            (
               PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 4,
                    ViewParams::num_rows => 12,
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => false,
                    ViewParams::sandwich_width => 280,
                    ViewParams::sandwich_height => 60,
                    ViewParams::sandwich_icon_upscale_enabled => false,
                    ViewParams::sandwich_icon_keep_aspect_ratio => false,
                    ViewParams::paint_icon_selection_box => true,
                    ViewParams::paint_content_box_background => true,
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => HALIGN_CENTER,
                    ViewItemParams::item_paint_caption => false,
                    ViewItemParams::icon_scale_factor => 0.95,
                    ViewItemParams::icon_sel_scale_factor => 1.0,
                    ViewItemParams::icon_width => 280,
                    ViewItemParams::icon_height => 60,
		    ViewItemParams::item_paint_caption => true,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),
        );
    }

    public static function GET_VOD_MOVIE_LIST_FOLDER_VIEWS()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => true,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 5,
                    ViewParams::num_rows => 3,
                    ViewParams::icon_selection_box_width => 200,
                    ViewParams::icon_selection_box_height => 250,
                    ViewParams::paint_path_box => false,
                    ViewParams::paint_details => true,
                    ViewParams::zoom_detailed_icon => false,
                    ViewParams::detailed_icon_scale_factor => 2.0,
                    ViewParams::paint_sandwich => true,
                    ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
                    ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
                    ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
                    ViewParams::sandwich_width => 200,
                    ViewParams::sandwich_height => 250,
                    ViewParams::item_detailed_info_font_size => FONT_SIZE_NORMAL,
                    ViewParams::paint_content_box_background => true,
		    ViewParams::sandwich_icon_upscale_enabled => true,
                    ViewParams::sandwich_icon_keep_aspect_ratio => true,
                    ViewParams::zoom_detailed_icon => true,
                    ViewParams::background_path=> 'plugin_file://icons/bg.jpg',
                    ViewParams::background_height => 1080,
			ViewParams::background_width => 1920,			
			ViewParams::background_order => 0,
			ViewParams::item_detailed_info_auto_line_break => true,
ViewParams::item_detailed_info_title_color => 15,
ViewParams::item_detailed_info_text_color => 19
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_padding_top => 0,
                    ViewItemParams::item_padding_bottom => 0,
                    ViewItemParams::icon_valign => VALIGN_CENTER,
                    ViewItemParams::item_paint_caption => false,
                    ViewItemParams::icon_scale_factor => 1.0,
                    ViewItemParams::icon_sel_scale_factor => 1.0,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array
                (
                    ViewItemParams::icon_path => 'plugin_file://icons/mov_unset.png',
                    ViewItemParams::item_detailed_icon_path => 'missing://',
                ),
            ),
            
////////////////////////////////////////////////////////////
array
(
PluginRegularFolderView::async_icon_loading => true,
PluginRegularFolderView::view_params => array
(
ViewParams::num_cols => 1,   
ViewParams::num_rows => 15,
ViewParams::paint_path_box => false,
ViewParams::paint_details => true,
ViewParams::zoom_detailed_icon => true,
ViewParams::detailed_icon_scale_factor => 2.0,
ViewParams::paint_item_info_in_details => true,
ViewParams::item_detailed_info_auto_line_break => true,
ViewParams::item_detailed_info_title_color => 15,
ViewParams::item_detailed_info_text_color => 19,
ViewParams::background_order => 0,
ViewParams::background_height => 1080,
ViewParams::background_width => 1920,
ViewParams::paint_sandwich => false,
ViewParams::sandwich_base => 'gui_skin://special_icons/sandwich_base.aai',
ViewParams::sandwich_mask => 'cut_icon://{name=sandwich_mask}',
ViewParams::sandwich_cover => 'cut_icon://{name=sandwich_cover}',
ViewParams::item_detailed_info_font_size => FONT_SIZE_NORMAL,
ViewParams::sandwich_icon_upscale_enabled => true,
ViewParams::sandwich_icon_keep_aspect_ratio => true,
ViewParams::background_path=> 'plugin_file://icons/bg.jpg',
),
PluginRegularFolderView::not_loaded_view_item_params => array
(
ViewItemParams::item_paint_icon => false,
//ViewItemParams::item_paint_icon => true,
//ViewItemParams::icon_width => 50,
//ViewItemParams::icon_height => 50,
ViewItemParams::icon_path => 'plugin_file://icons/mov_unset.png'
),
PluginRegularFolderView::base_view_item_params => array
(
ViewItemParams::item_layout => HALIGN_LEFT,
//ViewItemParams::item_paint_icon => false,
ViewItemParams::icon_path => "plugin_file://icons/vod/movie.png",
ViewItemParams::item_paint_icon => true,
ViewItemParams::icon_width => 30,
ViewItemParams::icon_height => 40,
ViewItemParams::item_caption_dx => 50,
ViewItemParams::icon_dx => 10,
),
),          
            
            );
    }
    
/*
    public static function GET_VOD_CATEGORY_LIST_FOLDER_VIEWS()
    {
        return array(
            array
            (
                PluginRegularFolderView::async_icon_loading => false,

                PluginRegularFolderView::view_params => array
                (
                    ViewParams::num_cols => 4,
                    ViewParams::num_rows => 1,
                    ViewParams::paint_details => false,
                    ViewParams::paint_sandwich => false,
		ViewParams::background_path=> 'plugin_file://icons/bg.jpg',
                    //ViewParams::sandwich_icon_upscale_enabled => true,
                    //ViewParams::sandwich_icon_keep_aspect_ratio => true,
                    ViewParams::paint_icon_selection_box => false,
                    //ViewParams::paint_content_box_background => true,
                ),

                PluginRegularFolderView::base_view_item_params => array
                (
                    ViewItemParams::item_paint_icon => true,
                    ViewItemParams::item_layout => HALIGN_CENTER,
                    ViewItemParams::icon_valign => HALIGN_CENTER,
                    ViewItemParams::item_paint_caption => false,
                    ViewItemParams::icon_scale_factor => 1.0,
                   ViewItemParams::icon_sel_scale_factor => 1.9,
                    ViewItemParams::icon_width => 300,
                    ViewItemParams::icon_height => 300,
		ViewItemParams::item_paint_caption => false,
                ),

                PluginRegularFolderView::not_loaded_view_item_params => array (),
            ),
        );
    }
 */
 
    public static function GET_VOD_CATEGORY_LIST_FOLDER_VIEWS()
    {
        return array(
            array
			(
				PluginRegularFolderView::async_icon_loading => false,
				PluginRegularFolderView::view_params => array
				(
					ViewParams::num_cols => 1,
                    			ViewParams::num_rows => 12,
                    			ViewParams::paint_details => true,
					ViewParams::background_order => 0,
					ViewParams::background_height => 1080,
					ViewParams::background_width => 1920,
					ViewParams::background_path=> 'plugin_file://icons/bg4.jpg',
					ViewParams::optimize_full_screen_background => true,
				),
				PluginRegularFolderView::base_view_item_params => array
				(
                    			ViewItemParams::item_paint_icon => true,
					ViewItemParams::item_layout => HALIGN_LEFT,
					ViewItemParams::icon_valign => VALIGN_CENTER,
					ViewItemParams::icon_dx => 20,
					ViewItemParams::icon_dy => -5,
					ViewItemParams::icon_width => 50,
                    			ViewItemParams::icon_height => 55,                    			
                    			ViewItemParams::icon_sel_dx => 20,
                    			ViewItemParams::icon_sel_dy => -5,
                    			ViewItemParams::icon_sel_width => 50,
                    			ViewItemParams::icon_sel_height => 55,
					ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
					ViewItemParams::item_caption_width => 1100
				),
               			 PluginRegularFolderView::not_loaded_view_item_params => array (),
			),
        );
    }
 
 
    
public static function GET_TEXT_ONE_COL_VIEWS() {        
        return array(
                array (
                        PluginRegularFolderView::async_icon_loading => false,
                        PluginRegularFolderView::view_params => array
                            (
                            ViewParams::num_cols => 1,
                            ViewParams::num_rows => 12,
			ViewParams::paint_details => true,
			ViewParams::background_order => 0,
			ViewParams::background_height => 1080,
			ViewParams::background_width => 1920,
			ViewParams::optimize_full_screen_background => true,
                        ),
                        PluginRegularFolderView::base_view_item_params =>
                        array
                            (
                            ViewItemParams::icon_path => 'missing://',
                            ViewItemParams::item_layout => HALIGN_LEFT,
                            ViewItemParams::icon_valign => VALIGN_CENTER,
                            ViewItemParams::icon_dx => 20,
                            ViewItemParams::icon_dy => -5,
                            ViewItemParams::item_caption_font_size => FONT_SIZE_NORMAL,
                            ViewItemParams::item_caption_width => 1550
                        ),
                        PluginRegularFolderView::not_loaded_view_item_params => array(),
                    ), 
            );
    }
    
    
}

?>
